## ros-kinetic-homer-mapnav-msgs 0.1.53

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(homer_mapnav_msgs)

find_package(catkin REQUIRED 
	COMPONENTS message_generation nav_msgs geometry_msgs actionlib_msgs)

add_message_files(FILES
	MapLayers.msg
	ModifyMap.msg
	PointOfInterest.msg
	PointsOfInterest.msg
	RegionOfInterest.msg
	RegionsOfInterest.msg
	ModifyPOI.msg
	TargetUnreachable.msg
	StartNavigation.msg
	NavigateToPOI.msg
	RoiChange.msg
)

add_service_files(FILES
	GetPointsOfInterest.srv
	GetRegionsOfInterest.srv
	GetRegionOfInterestName.srv
	PointInsideRois.srv
	LoadMap.srv
	SaveMap.srv
    AddPOI.srv
    #ModifyPOI.srv
    DeletePOI.srv
    SetMapPose.srv
)

add_action_files(DIRECTORY action FILES
	DetectObstacle.action
	DriveTo.action
)

generate_messages(DEPENDENCIES geometry_msgs nav_msgs actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime geometry_msgs nav_msgs)

=== debian/changelog ===
ros-kinetic-homer-mapnav-msgs (0.1.53-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 17 Jan 2019 14:55:26 -0000

ros-kinetic-homer-mapnav-msgs (0.1.41-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.40-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.39-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.38-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 12 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.37-0xenial) xenial; urgency=high

  * Merge branch 'master' of gitlab.uni-koblenz.de:robbie/homer_mapping
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 07 Nov 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.21-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 20 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.19-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.18-0xenial) xenial; urgency=high

  * reworked ignore laser and obstacle position feedback
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 27 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.17-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sat, 25 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.16-0xenial) xenial; urgency=high

  * changed maintainer
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.15-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 15 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.14-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.13-0xenial) xenial; urgency=high

  * best changelog ever
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.12-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.11-0xenial) xenial; urgency=high

  * cool changelogs
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.10-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.9-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 22 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.8-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 20 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.7-0xenial) xenial; urgency=high

  * Add a parameter to NavigateToPOI msgs to controll new behaviour (remove config parameter)
  * Contributors: Malte Roosen

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.6-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.5-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.4-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.3-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.2-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-mapnav-msgs (0.1.1-0xenial) xenial; urgency=high

  * fixes
  * initial commit
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-mapnav-msgs
Section: misc
Priority: extra
Maintainer: Florian Polster <fpolster@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-genmsg, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-mapnav-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs
Description: homer_mapnav_msgs contains the messages used for mapping and navigation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-mapnav-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
